html, body {
    padding: 0;
    margin: 0;
    cursor: url('assets/Texture2D/CursorCrosshairNormal.png') 32 0, auto;
}

body.hovered {
    cursor: url('assets/Texture2D/CursorCrosshairOver.png') 32 0, auto;
}

#canvas {
    width: 100%;
    height: 100%;
}

.healthOuter {
    position: relative;
    width: 70px;
    height: 14px;
    overflow: hidden;
}

.health {
    box-shadow: 2px 2px rgba(0, 0, 0, 0.548);
}

.health::before {
    box-sizing: border-box;
    content: "";
    position: absolute;
    width: 70px;
    height: 100%;
    border: 3px solid rgb(53, 165, 1);
    overflow: hidden;
    border-radius: 8px;
    background-color: lime;
}

.username {
    color: black;
    font-weight: 800;
    text-align: center;
}

.leaderboard {
    user-select: none;
    font-family: 'Courier New', Courier, monospace;
    display: flex;
    align-items: center;
    flex-direction: column;
    color: white;
    text-align: center;
    position: fixed;
    right: 20px;
    top: 0;
    bottom: 0;
    margin: auto;
    width: 15vw;
    min-width: 200px;
    height: 50vh;
    background-color: rgba(0, 0, 0, 0.466);
    border-radius: 10px;
}

.leaderboard-option {
    font-weight: 700;
    width: 90%;
    padding: 8px 0;
    border-bottom: 2px solid white;
}

.container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0;
    transform: translateY(-100%);
}

#overlay {
    cursor: url('assets/Texture2D/CursorNormal.png') 32 0, auto;
    position: fixed;
    inset: 0;
    background-color: rgba(43, 43, 43, 0.774);
    z-index: 10;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    flex-direction: column;
    gap: 10px;
}

#overlay label {
    cursor: url('assets/Texture2D/CursorNormal.png') 32 0, auto;
    display: flex;
    flex-direction: column;
    text-align: center;
    gap: 10px;
}

#overlay label input {
    cursor: url('assets/Texture2D/CursorNormal.png') 32 0, auto;
    background-color: rgb(68, 68, 68);
    color: white;
    padding: 10px 20px;
    border: none;
    outline: none;
    border-radius: 10px;
    outline: 2px solid rgb(99, 99, 99);
}

#overlay button {
    cursor: url('assets/Texture2D/CursorOver.png') 32 0, auto;
    padding: 5px 15px;
    border: none;
    background-color: rgb(39, 185, 83);
    outline: none;
    color: white;
    border-radius: 5px;
}

#overlay button:active {
    cursor: url('assets/Texture2D/CursorPressed.png') 32 0, auto;
    background-color: rgb(32, 155, 69);
}

.hidden {
    display: none !important;
    opacity: 0 !important;
}